gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r14666 - gauger


From: gnunet
Subject: [GNUnet-SVN] r14666 - gauger
Date: Wed, 16 Mar 2011 14:52:50 +0100

Author: bartpolot
Date: 2011-03-16 14:52:50 +0100 (Wed, 16 Mar 2011)
New Revision: 14666

Modified:
   gauger/README
   gauger/install.sh
Log:
Documentation clarified, install script improved.


Modified: gauger/README
===================================================================
--- gauger/README       2011-03-16 12:18:52 UTC (rev 14665)
+++ gauger/README       2011-03-16 13:52:50 UTC (rev 14666)
@@ -30,7 +30,8 @@
 Installation
 ============
 
-* Run install.sh
+* Run install.sh to check for potential problems and try to automatically
+  adapt gauger's python scripts to the local machine configuration.
 
 * Client
   Put gauger.py into your $PATH

Modified: gauger/install.sh
===================================================================
--- gauger/install.sh   2011-03-16 12:18:52 UTC (rev 14665)
+++ gauger/install.sh   2011-03-16 13:52:50 UTC (rev 14666)
@@ -1,11 +1,30 @@
 #!/bin/sh
 
+echo $@ | grep "\-\-client" > /dev/null
+CLIENT=$?
+echo $@ | grep "\-\-server" > /dev/null
+SERVER=$?
+
+echo 
"*********************************************************************************"
+echo "*** This script checks your system to detect potential installation 
problems. ***"
+echo "*** It does not perform the actual installation, the README file 
explains the ***"
+echo "*** installation procedure, under the 'Installation' section.            
     ***"
+echo 
"*********************************************************************************"
+
+if [ "$CLIENT" = "1" -a "$SERVER" = "1" ]; then
+    echo "Please indicate if you want to perfom install checks"
+    echo "for the client (--client) or the server (--server)."
+    echo "It is possible to indicate both."
+    exit 1
+fi
+
 # ################ PYTHON ################ #
 
 V=$(/usr/bin/env python --version 2>&1)
 if [ "$?" != "0" ]; then
-    "Please make sure python is installed."
-    exit 1
+    echo "Please make sure python is installed."
+    echo "Unless you are installing only the PHP server part,"
+    echo "Python is needed for both server and client."
 fi
 V=${V#* }
 MSD=${V%%.*}
@@ -45,38 +64,42 @@
        echo "Consult README file."
 esac
 
+if [ "$SERVER" = "0" ]; then
+
 # ################ GNUPLOT ################ #
 
-V=$(gnuplot --version 2>&1)
-if [ "$?" != "0" ]; then
-    "Please make sure gnuplot is installed."
-    exit 1
-fi
-V=${V#* }
-MSD=${V%%.*}
-case $MSD in
-    4)
-       echo "Version of gnuplot is OK."
-       ;;
-    *)
-        echo "Untested version of gnuplot $MSD."
-        echo "Plotting might not work."
-esac
+    V=$(gnuplot --version 2>&1)
+    if [ "$?" != "0" ]; then
+       echo "Gnuplot not detected. Since you are installing the gauger server,"
+       echo "please make sure gnuplot is installed. Otherwise plots won't 
work."
+    fi
+    V=${V#* }
+    MSD=${V%%.*}
+    case $MSD in
+       4)
+           echo "Version of gnuplot is OK."
+           ;;
+       *)
+            echo "Untested version of gnuplot $MSD. Plotting *might* not work."
+            echo "Since you are insalling a server, try to update Gnuplot."
+    esac
 
 # ################ PHP ################ #
 
-V=$(php --version 2>&1 | head -n 1)
-if [ "$?" != "0" ]; then
-    "Please make sure PHP is installed."
-    exit 1
-fi
-V=${V#* }
-MSD=${V%%.*}
-case $MSD in
-    5)
-       echo "Version of PHP is OK."
-       ;;
-    *)
-        echo "Untested version of PHP $MSD."
-        echo "Dynamic page generation might not work."
-esac
+    V=$(php --version 2>&1 | head -n 1)
+    if [ "$?" != "0" ]; then
+       echo "Please make sure PHP is installed."
+       echo "Otherwise clients won't be able to visualize the data."
+    fi
+    V=${V#* }
+    MSD=${V%%.*}
+    case $MSD in
+       5)
+           echo "Version of PHP is OK."
+           ;;
+       *)
+            echo "Untested version of PHP $MSD."
+            echo "Dynamic page generation *might* not work."
+    esac
+
+fi #Server part
\ No newline at end of file




reply via email to

[Prev in Thread] Current Thread [Next in Thread]